libglom-1.18: Glom::TranslatableItem Class Reference

libglom-1.18 1.18.5

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
Glom::TranslatableItem Class Reference

TranslatableItem have a map of translation strings - one string for each locale. More...

Inheritance diagram for Glom::TranslatableItem:
[legend]
Collaboration diagram for Glom::TranslatableItem:
[legend]

List of all members.

## Public Types
enum | enumTranslatableItemType { TRANSLATABLE_TYPE_INVALID, TRANSLATABLE_TYPE_FIELD, TRANSLATABLE_TYPE_RELATIONSHIP, TRANSLATABLE_TYPE_LAYOUT_ITEM, TRANSLATABLE_TYPE_CUSTOM_TITLE, TRANSLATABLE_TYPE_PRINT_LAYOUT, TRANSLATABLE_TYPE_REPORT, TRANSLATABLE_TYPE_TABLE, TRANSLATABLE_TYPE_BUTTON, TRANSLATABLE_TYPE_TEXTOBJECT, TRANSLATABLE_TYPE_IMAGEOBJECT }
typedef std::map < Glib::ustring, Glib::ustring > | type_map_locale_to_translations
## Public Member Functions
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name.
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name.
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name () const
virtual Glib::ustring | get_title () const
| Get the title's translation for the current locale.
Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specifed locale.
Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text.
void | set_title (const Glib::ustring& title)
| Set the title's translation for the current locale.
void | set_title (const Glib::ustring& locale, const Glib::ustring& title)
| Set the title's translation for the current locale.
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text.
void | set_translation (const Glib::ustring& locale, const Glib::ustring& translation)
Glib::ustring | get_translation (const Glib::ustring& locale) const
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title.
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type ()
## Static Public Member Functions
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files.
static void | set_current_locale (const Glib::ustring& locale)
| Set the locale used for titles, to test translations.
static Glib::ustring | get_current_locale ()
| Get the locale used by this program when it was started.
static void | set_original_locale (const Glib::ustring& locale)
| Set the locale used for original text of titles.
static bool | get_current_locale_not_original ()
## Protected Attributes
enumTranslatableItemType | m_translatable_item_type

## Detailed Description

TranslatableItem have a map of translation strings - one string for each locale.

## Member Typedef Documentation

typedef std::map<Glib::ustring, Glib::ustring> Glom::TranslatableItem::type_map_locale_to_translations

## Member Enumeration Documentation

enum Glom::TranslatableItem::enumTranslatableItemType

Enumerator:

  TRANSLATABLE_TYPE_INVALID |
  TRANSLATABLE_TYPE_FIELD |
  TRANSLATABLE_TYPE_RELATIONSHIP |
  TRANSLATABLE_TYPE_LAYOUT_ITEM |
  TRANSLATABLE_TYPE_CUSTOM_TITLE |
  TRANSLATABLE_TYPE_PRINT_LAYOUT |
  TRANSLATABLE_TYPE_REPORT |
  TRANSLATABLE_TYPE_TABLE |
  TRANSLATABLE_TYPE_BUTTON |
  TRANSLATABLE_TYPE_TEXTOBJECT |
  TRANSLATABLE_TYPE_IMAGEOBJECT |

## Constructor & Destructor Documentation

Glom::TranslatableItem::TranslatableItem | ( |  | ) |

Glom::TranslatableItem::TranslatableItem | ( | const TranslatableItem& | src | ) |

virtual Glom::TranslatableItem::~TranslatableItem | ( |  | ) | `[virtual]`

## Member Function Documentation

void Glom::TranslatableItem::clear_title_in_all_locales | ( |  | ) |

Clear the original title and any translations of the title.

static Glib::ustring Glom::TranslatableItem::get_current_locale | ( |  | ) | `[static]`

Get the locale used by this program when it was started.

static bool Glom::TranslatableItem::get_current_locale_not_original | ( |  | ) | `[static]`

bool Glom::TranslatableItem::get_has_translations | ( |  | ) | const

virtual Glib::ustring Glom::TranslatableItem::get_name | ( |  | ) | const`[virtual]`

Get the non-translated identifier name.

Reimplemented in Glom::Field, and Glom::LayoutItem_Field.

bool Glom::TranslatableItem::get_name_not_empty | ( |  | ) | const

virtual Glib::ustring Glom::TranslatableItem::get_title | ( |  | ) | const`[virtual]`

Get the title's translation for the current locale.

Reimplemented in Glom::LayoutItem_Field, Glom::LayoutItem_Portal, and Glom::LayoutItem_FieldSummary.

Glib::ustring Glom::TranslatableItem::get_title | ( | const Glib::ustring & | locale | ) | const

Get the title's translation for the specifed locale.

virtual Glib::ustring Glom::TranslatableItem::get_title_or_name | ( |  | ) | const`[virtual]`

Reimplemented in Glom::LayoutItem_Field, Glom::LayoutItem_Portal, and Glom::LayoutItem_FieldSummary.

Glib::ustring Glom::TranslatableItem::get_title_original | ( |  | ) | const

Get the title's original (non-translated, usually English) text.

enumTranslatableItemType Glom::TranslatableItem::get_translatable_item_type | ( |  | ) |

static Glib::ustring Glom::TranslatableItem::get_translatable_type_name | ( | enumTranslatableItemType | item_type | ) | `[static]`

static Glib::ustring Glom::TranslatableItem::get_translatable_type_name_nontranslated | ( | enumTranslatableItemType | item_type | ) | `[static]`

The non-translated name is used for the context in gettext .po files.

Glib::ustring Glom::TranslatableItem::get_translation | ( | const Glib::ustring & | locale | ) | const

bool Glom::TranslatableItem::operator!= | ( | const TranslatableItem& | src | ) | const

TranslatableItem& Glom::TranslatableItem::operator= | ( | const TranslatableItem& | src | ) |

bool Glom::TranslatableItem::operator== | ( | const TranslatableItem& | src | ) | const

static void Glom::TranslatableItem::set_current_locale | ( | const Glib::ustring & | locale | ) | `[static]`

Set the locale used for titles, to test translations.

Usually the current locale is just the locale at startup.

virtual void Glom::TranslatableItem::set_name | ( | const Glib::ustring & | name | ) | `[virtual]`

Set the non-translated identifier name.

Reimplemented in Glom::Field, and Glom::LayoutItem_Field.

static void Glom::TranslatableItem::set_original_locale | ( | const Glib::ustring & | locale | ) | `[static]`

Set the locale used for original text of titles.

This must usually be stored in the document. Ideally, it would be English.

void Glom::TranslatableItem::set_title | ( | const Glib::ustring & | title | ) |

Set the title's translation for the current locale.

void Glom::TranslatableItem::set_title | ( | const Glib::ustring & | locale,
|  | const Glib::ustring & | title
| ) |  |

Set the title's translation for the current locale.

void Glom::TranslatableItem::set_title_original | ( | const Glib::ustring & | title | ) |

Set the title's original (non-translated, usually English) text.

void Glom::TranslatableItem::set_translation | ( | const Glib::ustring & | locale,
|  | const Glib::ustring & | translation
| ) |  |

## Member Data Documentation

enumTranslatableItemType Glom::TranslatableItem::m_translatable_item_type`[protected]`

The documentation for this class was generated from the following file:

- libglom/data_structure/translatable_item.h